stages:
  - environment
  - test
  - deploy

cache:
  paths:
    - .cache/pip
    - .venv

setup-environment:
  stage: environment
  image: python3.9-slim
  script:
    - python3 -m venv .venv
    - source .venv/bin/activate
    - python3 -m pip install --upgrade pip
    - python3 -m pip install --force-reinstall --index-url https://pypi.anaconda.org/intel/simple --no-dependencies numpy scipy==1.7.3
    - python3 -m pip install numpy scipy==1.7.3
    #- python3 -m pip install torch --index-url https://download.pytorch.org/whl/cpu
    - python3 -m pip install joblib scikit-learn
    - python3 -m pip install matplotlib lmfit seaborn extra_data

test_ard:
  stage: test
  image: python3.9-slim-buster
  script:
    - python3 -m venv .venv
    - source .venv/bin/activate
    - ./pes_to_spec/test/offline_analysis.py -p 900331 -r 69 -t 70 -d results_ard --model-type ard

